CanaDream v 2.5

Date 2018-02-21 17:15

Coast 2 Coast 2.4 minimum is REQUIRED for playing or game crash

Priority:
1-CanaDream 2.5
2-Coast 2 Coast 2.4

2.5
* compatible ATS 1.30
* compatible C2C 2.4
——————————-

Official CanaDream link: http://forum.scssoft.com/viewtopic.php?f=194&t=205149
Official C2C link: https://forum.scssoft.com/viewtopic.php?f=194&t=202317

Credits:
ManiaX

DOWNLOAD 66 MB

2 Responses to CanaDream v 2.5

  1. Eduardo

    but where is C2C 2.4?


Leave a Reply

Your email address will not be published.

Human Verification: In order to verify that you are a human and not a spam bot, please enter the answer into the following box below based on the instructions contained in the graphic.